Subject: bug#40279: 26.3; Error: you did not specify -i=mi on GDB's command line!

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 26 Oct 2020 22:01:16 +0100

Roland Coeurjoly <[email-masked]> writes:

> Yes, the problem is that it doesn't split the frame in different windows, and nothing
> good happens.
>
> I need to run gdb inside Docker, and I have a strong preference for the interface
> provided by emacs.
>
> When doing M-x gdb, I enter "docker-compose -f
> ~/docker-services/dev/docker-compose.yml exec dev_rhel7 bash -c "gdb -i=mi"",
> and then it shows me the following message.

Like I said, I know nothing about Docker, but my totally uninformed
guess would be that something in that command line mangles the output
from gdb, somehow, so that Emacs is no longer able to parse it.

It's hard to tell, since you're posting via Gmail, as HTML, and the
output examples you include have been mangled beyond recognition.

Perhaps try including them as attachments?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no